Enum
BamFlags
Shortcuts to the bitmask flags for BAM/SAM files.
BamFlags
Include Headers
seqan/bam_io.h
Remarks
Also see the SAM standard on these flags for more explanation.
Values

BAM_FLAG_MULTIPLE | 0x0001 Template has multiple fragments in sequencing.
BAM_FLAG_ALL_PROPER | 0x0002 All fragments have been aligned properly.
BAM_FLAG_UNMAPPED | 0x0004 This fragment could not be mapped.
BAM_FLAG_NEXT_UNMAPPED | 0x0008 Next fragment is unmapped.
BAM_FLAG_RC | 0x0010 This fragment is reverse-complemented.
BAM_FLAG_NEXT_RC | 0x0020 Next fragment is reverse-complemented.
BAM_FLAG_FIRST | 0x0040 This fragment is the first one in its template.
BAM_FLAG_LAST | 0x0080 This fragment is the last one in its template.
BAM_FLAG_SECONDARY | 0x0100 This is a secondary alignment.
BAM_FLAG_QC_NO_PASS | 0x0200 Does not pass quality controls.
BAM_FLAG_DUPLICATE | 0x0400 PCR or optical duplicate.

See Also
BamAlignmentRecord
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57